<?php
include 'core/system.php';

head('Сердце Тьмы');

reg();
$sql = $dbc->query("SELECT * FROM `artefact` WHERE `user_id`='".$user['id']."' AND `status` = 2 AND `art` = 0 ORDER by `art_id` ");

$total = $dbc->query("SELECT `id` FROM `artefact` where `user_id` ='".$user['id']."' AND `status` = 2 AND `art` = 0 "); $total = $total->num_rows;


if($total==0){
echo '<div class="main"><div class="block_zero center">Нет вещей для улучшения!</div></div>';

    foot();
    exit;
}


?><div class="b-panel-new dblue-panel bordered mt2">
<div class="panel-inner-2">
<div class="font-small text-italic c-verygray">
<span class="iSuperior">Редкие Чары </span><img src="img/stat/hp.png">500 
<img src="img/stat/AKulak.png">10 
<img src="images/icons/armor.png">10 
Стоимость <img src="img/stat/sera.png">500000</br>
<span class="iEpic">Эпические Чары </span>
<img src="img/stat/hp.png">1000 
<img src="img/stat/AKulak.png">20 
<img src="images/icons/armor.png">20 
Стоимость <img src="img/money/money.png">700</br>
<span class="iLegendary">Легендарные Чары 
</span><img src="img/stat/hp.png">1500 
<img src="img/stat/AKulak.png">50 
<img src="images/icons/armor.png">50 
Стоимость <img src="img/money/money.png">1500   
</br>
<span class="mif">Мифические Чары </span>
<img src="img/stat/hp.png">3000 
<img src="img/stat/AKulak.png">200 
<img src="images/icons/armor.png">200 
Стоимость <img src="img/money/money.png">7500</br><font color="red">Внимание при наложении чар на вещь... другие чары на эту вещь вы наложить уже не сможете</font></div></div></div>






<?
while($row = $sql->fetch_assoc()){
if($row['mag']==1){ $mag =' style="box-shadow: 0px 0px 20px blue; margin: 2px;">';}




elseif($row['mag']==2){ $mag =' style="box-shadow: 0px 0px 20px violet; margin: 2px;">';}




elseif($row['mag']==3){ $mag =' style="box-shadow: 0px 0px 20px gold; margin: 2px;">';}


elseif($row['mag']==4){ $mag =' style="box-shadow: 0px 0px 20px #780A00; margin: 2px;">';}


elseif($row['mag']==0){ $mag ='>';}

if($row['craft']>0){ $fla = '<span class="info">+'.$row['craft'].''; }else{ $fla = '';}



$sia = $row['craft']+1;

if($row['lite']==iSuperior){ $last = 1000*$sia; $limit = 5; }






if($row['lite']==iEpic){ $last = 1500*$sia; $limit = 10; }




if($row['lite']==iLegendary){ $last = 2000*$sia; $limit = 15;  }




?><div class="sblue-panel"><div class="panel-inner-3"><table width="100%" border="0" cellpadding="0" cellspacing="0"><tr><td width="37" style="vertical-align: top;"><img width="32"height="32" src="img/items/<?=$row['img']?>.png" alt="."border="0"<?=$mag?></td><td><div><a href="/info_art.php?ids=<?=$row['id']?>" class="<?=$row['lite']?>"><center><?=$row['nik']?></a></center></div><span class="nowrap"></span> <span class="nowrap"></span><span class="clearer"></span></td><?





if($row['mag']==0){

?><td width="60"><a href="/mag.php?id=<?=$row['id']?><??>&amp;red" class="gr-btn center"><span>Редкие</span></a></td><?





?><td width="40"><a href="/mag.php?id=<?=$row['id']?><??>&amp;epic" class="gr-btn center"><span>Эпик</span></a></td><?







?><td width="40"><a href="/mag.php?id=<?=$row['id']?><??>&amp;leg" class="gr-btn center"><span>Лег</span></a></td><?



?><td width="40"><a href="/mag.php?id=<?=$row['id']?><??>&amp;mif" class="gr-btn center"><span>Миф</span></a></td><?







 } else{ ?><td width="40"><a href="/mag.php?id=<?=$row['id']?><??>&amp;back" class="gr-btn center"><span>Снять Чары</span></a></td><?}     ?></tr></table></div></div><?











echo' </div>';



if(isset($_GET['epic']) and !empty($_GET['id'])){


    $pet_id = int($_GET['id']);
$pet = $dbc->query("SELECT * FROM `artefact` WHERE `id`='".$pet_id."' AND `user_id`='".$user['id']."' LIMIT 1")->fetch_assoc();

if($pet['art']==1){ $_SESSION['message']='Артефакт нельзя зачаровать'; header('location:mag.php');exit;}
if($pet['tip']==9){ $_SESSION['message']='Артефакт нельзя зачаровать'; header('location:mag.php');exit;} 

if(!$pet){
        header("Location: mag.php");


        exit;
        }
        if($pet['status']==1){
        header("Location: mag.php");


        exit;
        }













if($user['gold']<700){ $_SESSION['message']='не достаточно золота'; header('location: mag.php');exit; }


if($pet['mag']>0){ header('location: mag.php');exit; }




$dbc->query("UPDATE `users` SET `strength`=`strength`+20,`max_health`=`max_health`+1000,`defense`=`defense`+20,`gold`=`gold`-700 WHERE `id`='".$user['id']."'");




        
$dbc->query("UPDATE `artefact` SET `strong`=`strong`+20,`hp`=`hp`+1000,`prot`=`prot`+20, `mag`=2 WHERE `id`='".$pet['id']."'");









$_SESSION['message'] = 'на вещь '.$pet[nik].' наложены эпические чары';


header('Location: mag.php?');exit();


        foot();
}








if(isset($_GET['leg']) and !empty($_GET['id'])){


    $pet_id = int($_GET['id']);
$pet = $dbc->query("SELECT * FROM `artefact` WHERE `id`='".$pet_id."' AND `user_id`='".$user['id']."' LIMIT 1")->fetch_assoc();

if($pet['art']==1){ $_SESSION['message']='Артефакт нельзя зачаровать'; header('location:mag.php');exit;}
if($pet['tip']==9){ $_SESSION['message']='Артефакт нельзя зачаровать'; header('location:mag.php');exit;} 
if(!$pet){
        header("Location: mag.php");


        exit;
        }
        if($pet['status']==1){
        header("Location: mag.php");


        exit;
        }













if($user['gold']<1500){ $_SESSION['message']='не достаточно золота'; header('location: mag.php');exit; }


if($pet['mag']>0){ header('location: mag.php');exit; }




$dbc->query("UPDATE `users` SET `strength`=`strength`+50,`max_health`=`max_health`+1500,`defense`=`defense`+50,`gold`=`gold`-1500 WHERE `id`='".$user['id']."'");




        
$dbc->query("UPDATE `artefact` SET `strong`=`strong`+50,`hp`=`hp`+1500,`prot`=`prot`+50, `mag`=3 WHERE `id`='".$pet['id']."'");









$_SESSION['message'] = 'на вещь '.$pet[nik].' наложены легендарные чары';


header('Location: mag.php?');exit();


        foot();
}


if(isset($_GET['mif']) and !empty($_GET['id'])){


    $pet_id = int($_GET['id']);
$pet = $dbc->query("SELECT * FROM `artefact` WHERE `id`='".$pet_id."' AND `user_id`='".$user['id']."' LIMIT 1")->fetch_assoc();

if($pet['art']==1){ $_SESSION['message']='Артефакт нельзя зачаровать'; header('location:mag.php');exit;}
if($pet['tip']==9){ $_SESSION['message']='Артефакт нельзя зачаровать'; header('location:mag.php');exit;} 
if(!$pet){
        header("Location: mag.php");


        exit;
        }
        if($pet['status']==1){
        header("Location: mag.php");


        exit;
        }













if($user['gold']<7500){ $_SESSION['message']='не достаточно золота'; header('location: mag.php');exit; }


if($pet['mag']>0){ header('location: mag.php');exit; }




$dbc->query("UPDATE `users` SET `strength`=`strength`+200,`max_health`=`max_health`+3000,`defense`=`defense`+200,`gold`=`gold`-7500 WHERE `id`='".$user['id']."'");




        
$dbc->query("UPDATE `artefact` SET `strong`=`strong`+200,`hp`=`hp`+3000,`prot`=`prot`+200, `mag`=4 WHERE `id`='".$pet['id']."'");









$_SESSION['message'] = 'на вещь '.$pet[nik].' наложены мифические чары';


header('Location: mag.php?');exit();


        foot();
}




if(isset($_GET['back']) and !empty($_GET['id'])){


    $pet_id = int($_GET['id']);
$pet = $dbc->query("SELECT * FROM `artefact` WHERE `id`='".$pet_id."' AND `user_id`='".$user['id']."' LIMIT 1")->fetch_assoc();

if(!$pet){
        header("Location: mag.php");


        exit;
        }
        if($pet['status']==1){
        header("Location: mag.php");


        exit;
        }















if($pet['mag']==0){ header('location: mag.php');exit; }

if($pet['mag']==4){




$dbc->query("UPDATE `users` SET `strength`=`strength`-200,`max_health`=`max_health`-3000,`defense`=`defense`-200,`gold`=`gold`+5250 WHERE `id`='".$user['id']."'");




        
$dbc->query("UPDATE `artefact` SET `strong`=`strong`-200,`hp`=`hp`-3000,`prot`=`prot`-200, `mag`=0 WHERE `id`='".$pet['id']."'");









$_SESSION['message'] = 'Чары с '.$pet[nik].' рассеяны';
}

if($pet['mag']==3){




$dbc->query("UPDATE `users` SET `strength`=`strength`-50,`max_health`=`max_health`-1500,`defense`=`defense`-50,`gold`=`gold`+1050 WHERE `id`='".$user['id']."'");




        
$dbc->query("UPDATE `artefact` SET `strong`=`strong`-50,`hp`=`hp`-1500,`prot`=`prot`-50, `mag`=0 WHERE `id`='".$pet['id']."'");









$_SESSION['message'] = 'Чары с '.$pet[nik].' рассеяны';
}


if($pet['mag']==2){




$dbc->query("UPDATE `users` SET `strength`=`strength`-20,`max_health`=`max_health`-1000,`defense`=`defense`-20,`gold`=`gold`+490 WHERE `id`='".$user['id']."'");




        
$dbc->query("UPDATE `artefact` SET `strong`=`strong`-20,`hp`=`hp`-1000,`prot`=`prot`-20, `mag`=0 WHERE `id`='".$pet['id']."'");









$_SESSION['message'] = 'Чары с '.$pet[nik].' рассеяны';
}

if($pet['mag']==1){




$dbc->query("UPDATE `users` SET `strength`=`strength`-10,`max_health`=`max_health`-500,`defense`=`defense`-10 WHERE `id`='".$user['id']."'");




        
$dbc->query("UPDATE `artefact` SET `strong`=`strong`-10,`hp`=`hp`-500,`prot`=`prot`-10, `mag`=0 WHERE `id`='".$pet['id']."'");









$_SESSION['message'] = 'Чары с '.$pet[nik].' рассеяны';
}




header('Location: mag.php?');exit();


        foot();
} 



























if(isset($_GET['red']) and !empty($_GET['id'])){


    $pet_id = int($_GET['id']);
$pet = $dbc->query("SELECT * FROM `artefact` WHERE `id`='".$pet_id."' AND `user_id`='".$user['id']."' LIMIT 1")->fetch_assoc();

if($pet['art']==1){ $_SESSION['message']='Артефакт нельзя зачаровать'; header('location:mag.php');exit;}
if($pet['tip']==9){ $_SESSION['message']='Артефакт нельзя зачаровать'; header('location:mag.php');exit;} 
if(!$pet){
        header("Location: mag.php");


        exit;
        }
        if($pet['status']==1){
        header("Location: mag.php");


        exit;
        }













if($user['serebro']<500000){ $_SESSION['message']='не достаточно серебра'; header('location: mag.php');exit; }


if($pet['mag']>0){ header('location: mag.php');exit; }




$dbc->query("UPDATE `users` SET `strength`=`strength`+10,`max_health`=`max_health`+500,`defense`=`defense`+10,`serebro`=`serebro`-500000 WHERE `id`='".$user['id']."'");




        
$dbc->query("UPDATE `artefact` SET `strong`=`strong`+10,`hp`=`hp`+500,`prot`=`prot`+10, `mag`=1 WHERE `id`='".$pet['id']."'");









$_SESSION['message'] = 'на вещь '.$pet[nik].' наложены редкие чары';



header('Location: mag.php?');exit();


        foot();
}
}
?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><div class="font-small text-italic c-verygray">При снятии чары, вам компенсируется 70% их стоимости. <span class="info">Внимание </span>Стоимость редких чар не возмещается.</div></div></div><?
foot();
?>  
